## EggDBusObjectPath EggDBusObjectPath — Object path types |

## Synopsis

    typedef             EggDBusObjectPath;
    typedef             EggDBusObjectPathArray;
    #define             EGG_DBUS_TYPE_OBJECT_PATH
    #define             EGG_DBUS_TYPE_OBJECT_PATH_ARRAY

## Description

Types for working with D-Bus object paths.

## Details

### EggDBusObjectPath

    typedef gchar* EggDBusObjectPath;

A C representable type for EGG_DBUS_TYPE_OBJECT_PATH.

### EggDBusObjectPathArray

    typedef GStrv EggDBusObjectPathArray;

A C representable type for EGG_DBUS_TYPE_OBJECT_PATH_ARRAY.

### EGG_DBUS_TYPE_OBJECT_PATH

    #define EGG_DBUS_TYPE_OBJECT_PATH               (egg_dbus_object_path_get_type())

The GType for a D-Bus object path.

### EGG_DBUS_TYPE_OBJECT_PATH_ARRAY

    #define EGG_DBUS_TYPE_OBJECT_PATH_ARRAY         (egg_dbus_object_path_array_get_type())

The GType for holding a `NULL`-terminated array of D-Bus object paths.